# Get webhook endpoint

**Documentation:** /reference/v3/api-reference/webhook-endpoints/getWebhookEndpointsByNanoId

Retrieves a single webhook endpoint. Secret values are redacted. Use GET /webhook_endpoints/schema to discover field definitions.

---

## GET `/api/v3/webhook_endpoints/{nano_id}`

**Endpoint:** `https://backend.composio.dev/api/v3/webhook_endpoints/{nano_id}`

**Summary:** Get webhook endpoint

Retrieves a single webhook endpoint. Secret values are redacted. Use GET /webhook_endpoints/schema to discover field definitions.

### Authentication

**ApiKeyAuth** - API Key in `header` header `x-api-key` OR **UserApiKeyAuth** - API Key in `header` header `x-user-api-key`

### Path Parameters

- `nano_id` (string) *(required)*: Webhook endpoint nano ID (e.g., we_abc123)

### Responses

#### 200 - Success

**Response Schema:**

- `id` (string) *(required)*: Webhook endpoint nano ID
- `toolkit_slug` (string) *(required)*: Toolkit this endpoint is for
- `client_id` (string,null) *(required)*: OAuth app client ID
- `webhook_url` (string) *(required)*: The webhook URL to register with the provider
- `data` (object,null) *(required)*: Configured fields with secret values masked
- `created_at` (string) *(required)*: ISO 8601 timestamp

**Example Response:**

```json
{
  "id": "string",
  "toolkit_slug": "string",
  "client_id": null,
  "webhook_url": "string",
  "data": null,
  "created_at": "string"
}
```

#### 400 - Bad request

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

#### 401 - Unauthorized

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

#### 404 - Not found

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

#### 500 - Internal server error

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

### Example cURL Request

```bash
curl -X GET "https://backend.composio.dev/api/v3/webhook_endpoints/string" \
  -H "x-api-key: YOUR_API_KEY"
```